Bug 16053 - Edit the active currency removes its 'active' flag
Summary: Edit the active currency removes its 'active' flag
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on: 15084
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-11 11:53 UTC by Jonathan Druart
Modified: 2016-12-05 21:22 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16053: Add tests (1.49 KB, patch)
2016-03-11 11:56 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 16053: Do not remove the active flag when editing the active currency (1.67 KB, patch)
2016-03-11 11:56 UTC, Jonathan Druart
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 16053: Add tests (1.59 KB, patch)
2016-03-11 16:28 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 16053: Do not remove the active flag when editing the active currency (1.77 KB, patch)
2016-03-11 16:28 UTC, Owen Leonard
Details | Diff | Splinter Review
[PASSED QA] Bug 16053: Add tests (1.61 KB, patch)
2016-03-20 20:06 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 16053: Do not remove the active flag when editing the active currency (1.79 KB, patch)
2016-03-20 20:06 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2016-03-11 11:53:10 UTC
From commit b574b615919a6463708d4c1d7b1153a061c1ea0a
   Bug 15084: Make sure the previous active currency is marked as inactive

When a currency is stored, all the active flags of all currencies are unset.
Only the active ones and different than the one we are editing should be updated.
Comment 1 Jonathan Druart 2016-03-11 11:56:52 UTC Comment hidden (obsolete)
Comment 2 Jonathan Druart 2016-03-11 11:56:56 UTC Comment hidden (obsolete)
Comment 3 Owen Leonard 2016-03-11 16:28:12 UTC Comment hidden (obsolete)
Comment 4 Owen Leonard 2016-03-11 16:28:18 UTC Comment hidden (obsolete)
Comment 5 Katrin Fischer 2016-03-20 20:06:04 UTC
Created attachment 49340 [details] [review]
[PASSED QA] Bug 16053: Add tests

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Katrin Fischer 2016-03-20 20:06:52 UTC
Created attachment 49341 [details] [review]
[PASSED QA] Bug 16053: Do not remove the active flag when editing the active currency

From commit b574b615919a6463708d4c1d7b1153a061c1ea0a
   Bug 15084: Make sure the previous active currency is marked as inactive

When a currency is stored, all the active flags of all currencies are unset.
Only the active ones and different than the one we are editing should be updated.

Test plan:
Edit the active currency
=> Without this patch the active flag was removed
=> With this patch, the active flag is kept

Edit another currency and set it the active flag
=> The active flag must have been removed from the previously active
currency.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 7 Brendan Gallagher 2016-03-21 21:35:33 UTC
Pushed to Master - Should be in the May 2016 release.  Thanks!
Comment 8 Julian Maurice 2016-03-23 08:50:08 UTC
Does not concern stable version, status changed to RESOLVED